Download it now!
Bug 86584 - Chart is hidden, if data separated by split/freeze limit of the window
Summary: Chart is hidden, if data separated by split/freeze limit of the window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-11-22 17:42 UTC by Laurent BP
Modified: 2019-06-18 02:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test file with a freeze separation of the columns (8.61 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-22 17:42 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-11-22 17:42:17 UTC
Created attachment 109857 [details]
Test file with a freeze separation of the columns

Description: creating chart require a extra click at end of wizard to let chart appear if data are separated by freeze limit (split) of the window

Steps to reproduce:
1. Enter data in A1:B5
2. Click on B1
3. menu Window > Freeze (see attached file)
4. Select A1:B5, starting from A1, so that A1 is selected
5. Click on Chart button

Actual behavior:
chart flashes and disappears
Actually it is hidden by the separation of the window. If you terminate wizard, chart is still hidden. You need to close the chart by clicking on the sheet to let it appear.

Expected behavior:
chart should be visible like when there is no separation of the window.

Chart is visible (no bug) if you start your selection from B5 to A1 (step 4.): B5 is selected and chart is created on the visible part of the sheet.

In LibO 3.3.0.4, Chart is not visible, but you can see anchor and handles of the chart. So you may keep hope that your chart exists. With more recent versions of LibO there is no indication that your chart exists.

Reproduce with LibO 3.3.0.4, 3.6.7.1, 4.1.6.2, 4.3.4.1, 4.4.0.0.beta1
NOT reproduce with OOo 3.3.0, AOO 4.1.1
Comment 1 Buovjaga 2015-03-06 11:12:32 UTC
Reproduced.

Which operating system did you use to test?

Lowered severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 2 Laurent BP 2015-03-06 14:07:39 UTC
Tests were made on Win 7
Comment 3 tommy27 2016-04-16 07:24:29 UTC Comment hidden (obsolete)
Comment 4 Laurent BP 2016-04-16 12:15:12 UTC
Confirmed with:
- Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)

- Version: 5.2.0.0.alpha0+ (x64)
Build ID: 042f16a19e3d5f884759dae71264433b988df0e6
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-03-16_10:03:38
Locale: fr-FR (fr_FR)
Comment 5 QA Administrators 2017-05-22 13:25:26 UTC Comment hidden (obsolete)
Comment 6 Laurent BP 2017-05-22 20:23:45 UTC
Confirmed with:
- Version: 5.3.2.2 (x64)
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: group

- Version: 5.4.0.0.alpha1+
Build ID: d33e262a244f351febc9dbe605b05f76cb834eeb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-08_00:26:09
Locale: fr-FR (fr_FR); Calc: CL
Comment 7 QA Administrators 2018-06-15 02:46:44 UTC Comment hidden (obsolete)
Comment 8 Laurent BP 2018-06-17 18:51:31 UTC
Reproduce with:
- Version: 6.0.5.1
Build ID: 0588a1cb9a40c4a6a029e1d442a2b9767d612751
Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
- Version: 6.1.0.0.beta1
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
- recent master: Version: 6.2.0.0.alpha0+
Build ID: 29074ebcdb9d3e9a2391e7d7774a82e77bab9064
Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group threaded
Comment 9 QA Administrators 2019-06-18 02:47:49 UTC
Dear Laurent BP,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug